use gtk::glib;
use gtk::subclass::prelude::*;
use gtk4 as gtk;

// Object holding the state
#[derive(Default)]
pub struct CustomApp;

// The central trait for subclassing a GObject
#[glib::object_subclass]
impl ObjectSubclass for CustomApp {
    const NAME: &'static str = "MyGtkAppCustomApp";
    type Type = super::CustomApp;
    type ParentType = gtk::Application;
}

impl ObjectImpl for CustomApp {}

impl ApplicationImpl for CustomApp {}

impl GtkApplicationImpl for CustomApp {}

